Pay a charge with card

Pays an existing payment with a CREDIT or VOUCHER card.

Use this operation when the card type is defined in cardType and the payment uses the card or cardToken contract. For integrations that use creditCard, creditCardHolderInfo or creditCardToken, use Pay a charge with credit card.

The card must be identified by card or cardToken, according to the method used to make the payment.

To track processing and subsequent changes in the payment status, use the payment Webhooks.

Related content

Guides

Webhooks

References

Path Params
string
required

Unique payment identifier in Asaas

Body Params
string
enum
required

Type of card used

Allowed:
card
object

Card information. Required if cardToken is not provided

string

Card token for using the tokenization feature. Required if card is not provided

Responses

404

Not found

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json